package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.OtherReceivableItem;
import com.dk.mdm.mapper.mac.OtherReceivableItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class OtherReceivableItemService extends BaseService<OtherReceivableItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<OtherReceivableItem> getRepository() {
		return otherReceivableItemMapper;
	}

	@Autowired
	private OtherReceivableItemMapper otherReceivableItemMapper;

}
